osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[nova][keystone][neutron][kuryr][requirements] breaking tests with new library versions


On 19-08-21 16:30:39, Clark Boylan wrote:
> On Wed, Aug 21, 2019, at 4:25 PM, melanie witt wrote:
> 
> Snip
> 
> > 
> > Since this is a change to upper-constraints to allow v0.9.0, we will 
> > need a way for it to work with both module layouts, yeah?
> 
> Yup, the constrained version is likely one of many valid versions people can use. The constrained version is just what we test with to prevent issues like these from breaking the gate. Unless you also change the lower bounds of the dep people may still continue to use the old version too. Good idea to support the older code in that case.

Yep, if you do want to set a minimum you still can, but that can also
affect co-installability.  You'll need to have at least one sha that
supports both though, otherwise there'd have to be a force push at some
point...  So might as well support older stuff too (unless it's bad code
wise).

-- 
Matthew Thode
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 833 bytes
Desc: not available
URL: <http://lists.openstack.org/pipermail/openstack-discuss/attachments/20190821/6f29421c/attachment.sig>